{
  "db_name": "MySQL",
  "query": "\n                    SELECT id, dm_channel, timezone, allowed_dm\n                    FROM users\n                    WHERE id = ?\n                    ",
  "describe": {
    "columns": [
      {
        "ordinal": 0,
        "name": "id",
        "type_info": {
          "type": "LongLong",
          "flags": "NOT_NULL | PRIMARY_KEY | UNSIGNED | NO_DEFAULT_VALUE",
          "max_size": 20
        }
      },
      {
        "ordinal": 1,
        "name": "dm_channel",
        "type_info": {
          "type": "Long",
          "flags": "NOT_NULL | UNIQUE_KEY | UNSIGNED | NO_DEFAULT_VALUE",
          "max_size": 10
        }
      },
      {
        "ordinal": 2,
        "name": "timezone",
        "type_info": {
          "type": "VarString",
          "flags": "NOT_NULL | MULTIPLE_KEY",
          "max_size": 128
        }
      },
      {
        "ordinal": 3,
        "name": "allowed_dm",
        "type_info": {
          "type": "Tiny",
          "flags": "NOT_NULL",
          "max_size": 1
        }
      }
    ],
    "parameters": {
      "Right": 1
    },
    "nullable": [
      false,
      false,
      false,
      false
    ]
  },
  "hash": "b582fd4496d339d3a5516c003b16481dc7c30ee4bc11ffda3fd585d346b7d105"
}
